Subject: Re: [PATCH] Fix up truesize after pskb_expand_head() in wireless stack

From: Andi Kleen <[email-masked]>
Date: Mon, 5 Jan 2009 15:05:28 +0100

On Mon, Jan 05, 2009 at 02:31:15PM +0100, Johannes Berg wrote:
> I was under the impression that you only modified monitor mode code, but
> upon closer inspection (really, you should diff with -p, makes it a lot
> easier to review) it seems that you also touched packet defragmentation
> code. Are you running a low fragmentation threshold on your network?

I don't use any special settings, only defaults.

> Can you
> check /sys/kernel/debug/ieee80211/phy*/statistics/rx_expand_skb_head*
> please?

The kernel doesn't have 80211 debugging enabled. I can enable 
it, but it will take some time until the messages reappear
(I cannot reproduce them at will, but have to wait)

> 
> > > actually used those skbs then it's likely that the warning didn't result
> > > in any corruption at all.
> > 
> > Nothing was corrupted ever to my knowledge, just lots of spam in my kernel logs.
> 
> You wouldn't easily notice any socket memory charge corruption anyway.

There are WARN_ON(sk->sk_forward_alloc)s in the socket destroy paths
which should trigger.

-Andi

-- 
[email-masked]